Mail archive
alpine-aports

[alpine-aports] [PATCH 1/1] main/zeromq: upgrade to 4.1.5

From: Daniel Sabogal <dsabogalcc_at_gmail.com>
Date: Mon, 15 Aug 2016 16:03:41 -0400

---
 main/zeromq/APKBUILD | 33 ++++++++++++++-------------------
 1 file changed, 14 insertions(+), 19 deletions(-)
diff --git a/main/zeromq/APKBUILD b/main/zeromq/APKBUILD
index 75ff818..7f954a9 100644
--- a/main/zeromq/APKBUILD
+++ b/main/zeromq/APKBUILD
_at_@ -1,33 +1,28 @@
 # Contributor: Natanael Copa <ncopa_at_alpinelinux.org>
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=zeromq
-pkgver=4.1.4
+pkgver=4.1.5
 pkgrel=0
 pkgdesc="The ZeroMQ messaging library and tools"
 url="http://www.zeromq.org/"
 arch="all"
-license="LGPLv3+"
-depends=
+license="LGPLv3+ with exceptions"
+depends=""
 makedepends="util-linux-dev libsodium-dev perl python asciidoc xmlto
 	autoconf automake"
-install=
 subpackages="$pkgname-dev $pkgname-doc libzmq"
-source="http://download.zeromq.org/zeromq-$pkgver.tar.gz"
+source="https://github.com/zeromq/zeromq4-1/releases/download/v$pkgver/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir"/$pkgname-$pkgver
 
-_builddir="$srcdir"/$pkgname-$pkgver
 prepare() {
-	cd "$_builddir"
-	for i in $source; do
-		case $i in
-		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
-		esac
-	done
+	cd "$builddir"
+	update_config_sub || return 1
+	default_prepare || return 1
 }
 
 build() {
-	cd "$_builddir"
-	# return code from sodium_init is todo in curve_client.cpp & curve_server.cpp
-	export CXXFLAGS="$CXXFLAGS -Wno-unused-result"
+	cd "$builddir"
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
_at_@ -41,7 +36,7 @@ build() {
 }
 
 package() {
-	cd "$_builddir"
+	cd "$builddir"
 	make DESTDIR="$pkgdir" install || return 1
 }
 
_at_@ -51,6 +46,6 @@ libzmq() {
 	mv "$pkgdir"/usr/lib/libzmq.so.* "$subpkgdir"/usr/lib/
 }
 
-md5sums="a611ecc93fffeb6d058c0e6edf4ad4fb  zeromq-4.1.4.tar.gz"
-sha256sums="e99f44fde25c2e4cb84ce440f87ca7d3fe3271c2b8cfbc67d55e4de25e6fe378  zeromq-4.1.4.tar.gz"
-sha512sums="8a8cf4f52ad78dddfff104bfba0f80bbc12566920906a0fafb9fc340aa92f5577c2923cb2e5346c69835cd2ea1609647a8893c2883cd22c1f0340a720511460c  zeromq-4.1.4.tar.gz"
+md5sums="e7adf4b7dbae09b28cfd10d26cd67fac  zeromq-4.1.5.tar.gz"
+sha256sums="04aac57f081ffa3a2ee5ed04887be9e205df3a7ddade0027460b8042432bdbcf  zeromq-4.1.5.tar.gz"
+sha512sums="b5098e7ea7fe7fdae75846a804d175bcb414a4f8212a15b9c1c2e52f3541aa603e773061db7ea92075e1f9f9be40572aba1c133b233a8ac2458bccf8427e407e  zeromq-4.1.5.tar.gz"
-- 
2.8.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Aug 15 2016 - 16:03:41 GMT